Package com.collibra.dgc.core.api.model.validation

# Interface ValidationResult

All Superinterfaces:
  `Entity`, `Resource`, `Serializable`

public interface ValidationResult extends Resource
Represents an asset

An asset is a verbal designation of a concept (object type) in a specific subject field.

- ## Method Summary

  Modifier and Type
  Method
  Description
  `NamedResourceReference`
  `getAsset()`
  Gets the a NamedResourceReference of the Asset of this validation result.
  `UUID`
  `getJobId()`
  Retrieve the UUID of the job that performed the validation.
  `String`
  `getMessage()`
  Retrieve the error message (if any).
  `Boolean`
  `getResult()`
  Return true if the validation was successful, false if validation failed, null if there was an error validating.
  `ResourceReference`
  `getValidationRule()`
  Return the `ResourceReference` for this result.

  ### Methods inherited from interface Entity

  `getId, setId`

  ### Methods inherited from interface Resource

  `getCreatedBy, getCreatedOn, getLastModifiedBy, getLastModifiedOn, getResourceType, isSystem`

- ## Method Details

  - ### getAsset

    NamedResourceReference getAsset()
    Gets the a NamedResourceReference of the Asset of this validation result.
    Returns:
      the asset

  - ### getValidationRule

    ResourceReference getValidationRule()
    Return the `ResourceReference` for this result.
    Returns:
      the `ResourceReference`

  - ### getResult

    Boolean getResult()
    Return true if the validation was successful, false if validation failed, null if there was an error validating.
    Returns:
      true if the validation was successful, false if validation failed, null if there was an error validating

  - ### getMessage

    String getMessage()
    Retrieve the error message (if any). Can be a translatable key.
    Returns:
      the error message

  - ### getJobId

    UUID getJobId()
    Retrieve the UUID of the job that performed the validation.
    Returns:
      the job's UUID